## org.apache.xerces.xni.psvi
Interface AttributePSVI

All Superinterfaces:
  ItemPSVI

public interface AttributePSVI
extends ItemPSVI

Represent a PSVI item for one attribute information item. The interface may be updated or replaced.

Version:
  $Id: AttributePSVI.java,v 1.5 2003/02/20 23:10:44 elena Exp $
Author:
  Elena Litani, IBM

Fields inherited from interface org.apache.xerces.xni.psvi.ItemPSVI
`VALIDATION_FULL, VALIDATION_NONE, VALIDATION_PARTIAL, VALIDITY_INVALID, VALIDITY_NOTKNOWN, VALIDITY_VALID`

Method Summary
`org.apache.xerces.impl.xs.psvi.XSAttributeDeclaration` `getAttributeDeclaration()` An item isomorphic to the attribute declaration used to validate this attribute.

Methods inherited from interface org.apache.xerces.xni.psvi.ItemPSVI
`getErrorCodes, getIsSchemaSpecified, getMemberTypeDefinition, getSchemaDefault, getSchemaNormalizedValue, getTypeDefinition, getValidationAttempted, getValidationContext, getValidity`

Method Detail

### getAttributeDeclaration

    public org.apache.xerces.impl.xs.psvi.XSAttributeDeclaration getAttributeDeclaration()

  An item isomorphic to the attribute declaration used to validate this attribute.
  Returns:
    an attribute declaration

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.